Loading...
Searching...
No Matches
sphLogEntryLayout_t Struct Reference

sphLogEntry_t. Fields defining the entry details word. More...

`#include <sphlflogger.h>`

## Public Attributes

unsigned int | valid: 1
unsigned int | timestamped: 1
unsigned int | __reserved: 2
unsigned int | category: 12
unsigned int | subcat: 8
unsigned int | len: 8

## Detailed Description

sphLogEntry_t. Fields defining the entry details word.

## Member Data Documentation

## __reserved

unsigned int sphLogEntryLayout_t::__reserved

reserved

## category

unsigned int sphLogEntryLayout_t::category

Application defined Event category code

## len

unsigned int sphLogEntryLayout_t::len

Length of this entry

## subcat

unsigned int sphLogEntryLayout_t::subcat

Application defined Event sub-category code

## timestamped

unsigned int sphLogEntryLayout_t::timestamped

Boolean: Indicates that this entry is time stamped.

## valid

unsigned int sphLogEntryLayout_t::valid

Boolean: Indicates that this entry is valid (complete).

The documentation for this struct was generated from the following file:

- src/sphlflogger.h